Skip to main content
PATCH
/
environments
/
{id}
Update environment
curl --request PATCH \
  --url https://runcrate.ai/api/v1/environments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "is_default": true
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "is_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Path Parameters

id
string
required

Body

application/json
name
string
Pattern: ^[a-z0-9][a-z0-9-]{0,31}$
is_default
boolean

Response

200 - application/json

Environment updated.

data
object
required